.bp3-form-group {
  &.bp3-intent-primary {
    .bp3-numeric-input {
      border: 1px solid $rt-blue2;
    }
  }
  &.bp3-intent-success {
    .bp3-numeric-input {
      border: 1px solid $green-pantone3;
    }
  }
  &.bp3-intent-warning {
    .bp3-numeric-input {
      border: 1px solid $princeton-orange3;
    }
  }
  &.bp3-intent-danger {
    .bp3-numeric-input {
      border: 1px solid $rt-red3;
    }
  }
  &[class*='bp3-intent'] {
    &.bp3-disabled {
      .bp3-numeric-input {
        border: 1px solid $rt-gray2;
      }
    }
  }
}
.bp3-numeric-input {
  background: $white5;
  border: 1px solid $rt-gray2;
  border-radius: 4px;
  &.bp3-large {
    .bp3-button {
      svg {
        width: 16px;
        height: 16px;
      }
    }
    .bp3-button-group.bp3-vertical > .bp3-button {
      width: auto;
      padding: 0 16px 0 12px;
    }
    .bp3-input {
      height: 32px;
      margin: 8px 0;
      padding: 0 0 0 16px;
    }
  }
  .bp3-button {
    svg {
      width: 12px;
      height: 12px;
    }
  }
  .bp3-button-group.bp3-vertical > .bp3-button {
    width: auto;
    min-width: auto;
    padding: 0 12px 0 8px;
  }
  .bp3-input {
    border: none;
    border-radius: 4px;
    height: auto;
    margin: 4px 0;
    padding: 0 0 0 12px;
    &:focus {
      border: none;
    }
  }
  > .bp3-input-group {
    flex-grow: 1;
    margin: -1px 0;
  }
  .bp3-button-group.bp3-vertical > .bp3-button:first-child {
    border-radius: 0 4px 0 0;
  }
  .bp3-button-group.bp3-vertical > .bp3-button:last-child {
    border-radius: 0 0 4px 0;
  }
  .bp3-button-group.bp3-vertical:first-child .bp3-button:first-child {
    border-radius: 4px 0 0 0;
  }
  .bp3-button-group.bp3-vertical:first-child .bp3-button:last-child {
    border-radius: 0 0 0 4px;
  }
  .bp3-button-group > .bp3-button {
    background-color: $white5;
    background-image: unset;
    box-shadow: none;
    &:focus {
      outline: none;
      outline-offset: 0;
    }
    .bp3-icon {
      color: $rt-dark-gray4 !important;
      &:focus {
        outline: none;
        outline-offset: 0;
      }
    }
  }
  .bp3-input-group[class*='bp3-intent'] {
    .bp3-input {
      border: none;
    }
  }
}
.bp3-control-group:not(.bp3-vertical) > *:not(.bp3-divider) {
  margin-right: 0px;
}
.bp3-control-group > :first-child {
  border-radius: 4px 0 0 4px;
}
.bp3-control-group > :last-child {
  border-radius: 0 4px 4px 0;
}

